Bug 998363 - oo-app-state-show doesn't recognize -h/--help
oo-app-state-show doesn't recognize -h/--help
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Michal Fojtik
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 03:13 EDT by Liang Xia
Modified: 2015-05-14 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:52:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Liang Xia 2013-08-19 03:13:50 EDT
Description of problem:
oo-app-state-show doesn't recognize -h/--help

Version-Release number of selected component (if applicable):
devenv_3672

How reproducible:
always

Steps to Reproduce:
1.oo-app-state-show -h
2.oo-app-state-show --help
3.

Actual results:
# oo-app-state-show -h
/usr/bin/oo-app-state-show: invalid option -- h
== Synopsis
..content skipped...
# oo-app-state-show --help
/usr/bin/oo-app-state-show: unrecognized option `--help'
== Synopsis
..content skipped...

Expected results:
Help info show without errors.

Additional info:
# oo-app-state-show 
== Synopsis
/usr/bin/oo-app-state-show: Returns the application state on the gear.
  This command must be run as root.
== Usage
/usr/bin/oo-app-state-show  --with-app-uuid APP_UUID \
                   --with-container-uuid UUID
Options:
-h|--help:
   Prints this message
UUID: Unique identifier for the application
Comment 1 Michal Fojtik 2013-08-20 09:23:41 EDT
Fix here: https://github.com/openshift/origin-server/pull/3425
Comment 2 openshift-github-bot 2013-08-21 12:43:25 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/0d53d24cbc7e3b0d3da5aba7aada51e124c26059
Bug 998363 - Add --help option to GetoptLong list
Comment 3 Liang Xia 2013-08-25 22:31:08 EDT
Verified on devenv_3706, it has been fixed.

Steps and results below:
# oo-app-state-show 
== Synopsis
/usr/bin/oo-app-state-show: Returns the application state on the gear.
  This command must be run as root.
== Usage
/usr/bin/oo-app-state-show  --with-app-uuid APP_UUID \
                   --with-container-uuid UUID
Options:
-h|--help:
   Prints this message
UUID: Unique identifier for the application

# oo-app-state-show  -h
== Synopsis
/usr/bin/oo-app-state-show: Returns the application state on the gear.
  This command must be run as root.
== Usage
/usr/bin/oo-app-state-show  --with-app-uuid APP_UUID \
                   --with-container-uuid UUID
Options:
-h|--help:
   Prints this message
UUID: Unique identifier for the application

# oo-app-state-show  --help
== Synopsis
/usr/bin/oo-app-state-show: Returns the application state on the gear.
  This command must be run as root.
== Usage
/usr/bin/oo-app-state-show  --with-app-uuid APP_UUID \
                   --with-container-uuid UUID
Options:
-h|--help:
   Prints this message
UUID: Unique identifier for the application

Note You need to log in before you can comment on or make changes to this bug.